Index: /BAORadio/.directory
===================================================================
--- /BAORadio/.directory	(revision 501)
+++ /BAORadio/.directory	(revision 501)
@@ -0,0 +1,5 @@
+[Dolphin]
+Timestamp=2010,10,3,23,6,16
+
+[Settings]
+ShowDotFiles=true
Index: /BAORadio/libindi/libindi/BAOTest/baocontrol.h
===================================================================
--- /BAORadio/libindi/libindi/BAOTest/baocontrol.h	(revision 501)
+++ /BAORadio/libindi/libindi/BAOTest/baocontrol.h	(revision 501)
@@ -0,0 +1,93 @@
+#include <iostream>
+#include <string.h>
+#include <sstream>
+#include "ClientSocket.h"
+#include "SocketException.h"
+#include <stdio.h>
+#include <pthread.h>
+#include <X11/Xlib.h>
+#include "filetools.h"
+#include "astro.h"
+#include "math.h"
+#include <time.h>
+#include <unistd.h>
+#include <sys/time.h>
+
+
+#define red "\033[0;31m"
+#define blue "\033[0;34m"
+#define green "\033[0;32m"
+#define black "\033[0;30m"
+
+#define MAXLOG 1000
+#define MAXOBJETS 100
+#define MAXANTENNES 100
+
+using namespace std;
+
+
+struct DefAntenne
+{
+    unsigned char ip;
+
+    char ok;
+};
+
+struct DefObjets
+{
+    double JJ;
+    double Duree;
+    char ad[10];
+    char de[10];
+    bool exec;
+};
+
+
+char Latitude[80];
+char Longitude[80];
+char Serveur[80];
+
+std::string logs[MAXLOG];
+
+std::stringstream os;
+
+int Port=0;
+int delaitransit=0;
+int delaitracking=0;
+int lognum=0;
+int numAntenne=0;
+int numobjets=0;
+int runnum=1;
+
+struct DefAntenne Antennes[MAXANTENNES];
+struct DefObjets objets[MAXOBJETS];
+
+bool NoExit=true;
+bool Transit=false;
+bool run=false;
+bool exitrun=false;
+
+ClientSocket *client_socket;
+Astro *astro;
+
+Display * d;
+Window w;
+GC noir, vert, rouge, gris;
+
+
+void initialiserFenetre();
+void Dessiner();
+void rouler(char* reponse);
+void LireReponse();
+void *my_thread_process (void * arg);
+bool Decomposition(std::string chaine, char type, float *a1, float *a2, float *a3);
+bool DecompositionCommande(std::string chaine, std::string commande, std::string *chaine1, std::string *chaine2);
+bool EncoyerCoordGeographiques();
+bool Connect(bool connect);
+bool Park();
+bool Abort();
+bool Goto(std::string ar, std::string dec, bool Transit);
+bool LectureFichierMouvements(char * fileName);
+bool Run(std::string fichier);
+void DecodageFonction(std::string chaine);
+bool ChargementParametres(); 
Index: /BAORadio/libindi/libindi/BAOTest/simple_server_main.cpp
===================================================================
--- /BAORadio/libindi/libindi/BAOTest/simple_server_main.cpp	(revision 500)
+++ /BAORadio/libindi/libindi/BAOTest/simple_server_main.cpp	(revision 501)
@@ -10,5 +10,5 @@
     {
       // Create the socket
-      ServerSocket server ( 8000 );
+      ServerSocket server ( 7624 );
 
       while ( true )
Index: /BAORadio/libindi/libindi/CMakeLists.txt
===================================================================
--- /BAORadio/libindi/libindi/CMakeLists.txt	(revision 500)
+++ /BAORadio/libindi/libindi/CMakeLists.txt	(revision 501)
@@ -1,12 +1,15 @@
 cmake_minimum_required(VERSION 2.4.7)
 
+ if(COMMAND cmake_policy)
+      cmake_policy(SET CMP0003 NEW)
+    endif(COMMAND cmake_policy)
+
+
 
 ##################  INDI version  ################################
-set(INDI_VERSION "0.6")
 set(INDI_SOVERSION "0")
-
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 6)
-set(CMAKE_INDI_VERSION_RELEASE 1)
+set(CMAKE_INDI_VERSION_MINOR 7)
+set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
@@ -51,5 +54,4 @@
 macro_log_feature(FLI_FOUND "libfli" "Finger Lakes Instrument Library" "http://indi.sourceforge.net/" FALSE "1.71" "Provides INDI with support for controlling FLI CCDS & Filter Wheels.")
 
-
 macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
@@ -59,6 +61,4 @@
 check_include_files(termios.h TERMIOS_FOUND)
 macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)
-
-configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
@@ -95,8 +95,20 @@
 
 set (indimain_SRCS
+        ${CMAKE_SOURCE_DIR}/indidriver.c
 	${CMAKE_SOURCE_DIR}/indidrivermain.c
 	${CMAKE_SOURCE_DIR}/eventloop.c
     )
 
+set (indibase_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.cpp
+    )
+
+set (indidefaultdevice_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.cpp
+    )
+
+
 ######################################
 ########### INDI SERVER ##############
@@ -115,9 +127,4 @@
 install(TARGETS indiserver RUNTIME DESTINATION bin )
 
-######################################
-######## INDI Static Library #########
-######################################
-add_library(indidriver STATIC ${indimain_SRCS})
-install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
 ######################################
@@ -138,5 +145,25 @@
 
 install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
-set_target_properties(indi PROPERTIES VERSION ${INDI_VERSION} SOVERSION ${INDI_SOVERSION})
+set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
+
+
+######################################
+######## INDI Static Library #########
+######################################
+add_library(indidriver STATIC ${indimain_SRCS})
+install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##############################################
+######## INDI Default Driver Library #########
+##############################################
+add_library(indidefaultdriver STATIC ${indimain_SRCS} ${indidefaultdevice_SRCS})
+install(TARGETS indidefaultdriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##############################################
+######## INDI Client Library #########
+##############################################
+add_library(indiclient STATIC ${indibase_SRCS})
+target_link_libraries(indiclient indi)
+install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
 #####################################
@@ -202,4 +229,5 @@
 target_link_libraries(indi_celestron_gps m )
 
+
 if (NOVA_FOUND)
   target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
@@ -601,4 +629,19 @@
 endif (NOVA_FOUND)
 
+########### Tutorial four ##############
+set(tutorialfour_SRCS
+        ${indimain_SRCS}
+        ${CMAKE_SOURCE_DIR}/examples/tutorial_four.cpp
+   )
+
+add_executable(tutorial_four ${tutorialfour_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(tutorial_four indidefaultdriver indiclient m z pthread)
+
+if (NOVA_FOUND)
+  target_link_libraries(tutorial_four ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+
+
 ########### Tutorial dome ##############
 set(tutorialdome_SRCS
@@ -633,6 +676,8 @@
 install( FILES drivers.xml DESTINATION ${DATA_INSTALL_DIR})
 
-install( FILES indiapi.h indidevapi.h base64.h eventloop.h ${CMAKE_SOURCE_DIR}/libs/lilxml.h
- ${CMAKE_SOURCE_DIR}/libs/indicom.h DESTINATION ${INCLUDE_INSTALL_DIR}/libindi COMPONENT Devel)
+install( FILES indiapi.h indidevapi.h base64.h eventloop.h indidriver.h ${CMAKE_SOURCE_DIR}/libs/lilxml.h ${CMAKE_SOURCE_DIR}/libs/indibase/indibase.h
+${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.h  ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.h
+${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.h ${CMAKE_SOURCE_DIR}/libs/indicom.h
+ DESTINATION ${INCLUDE_INSTALL_DIR}/libindi COMPONENT Devel)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libindi.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/libindi.pc @ONLY)
Index: /BAORadio/libindi/libindi/ChangeLog
===================================================================
--- /BAORadio/libindi/libindi/ChangeLog	(revision 500)
+++ /BAORadio/libindi/libindi/ChangeLog	(revision 501)
@@ -1,2 +1,20 @@
+From 0.6.2 to 0.7.0
+
+      # Dynamic renaming of drivers upon run time.
+      # Standard helper API to create and utilize INDI clients.
+      # Ability to load driver properties from an external XML file.
+      # Ability to write/read XML configuration files for driver values to be loaded at run time.
+      # Facilitating debugging and simulation of drivers.
+      # New C++ framework to facilitate the development of new INDI drivers.
+      # Several bug fixes for current drivers and framework. 
+
+From 0.6.1 to 0.6.2
+
+	# Build related updates.
+
+From 0.6 to 0.6.1
+
+	# Updating drivers.xml to comply to new XML structure for group and devices metadata descriptions.
+
 From 0.5 to 0.6
 
Index: /BAORadio/libindi/libindi/Doxyfile
===================================================================
--- /BAORadio/libindi/libindi/Doxyfile	(revision 500)
+++ /BAORadio/libindi/libindi/Doxyfile	(revision 501)
@@ -1,7 +1,8 @@
-# Doxyfile 1.4.1-KDevelop
+# Doxyfile 1.7.1
 
 #---------------------------------------------------------------------------
 # Project related configuration options
 #---------------------------------------------------------------------------
+DOXYFILE_ENCODING      = UTF-8
 PROJECT_NAME           = "Instrument Neutral Distributed Interface INDI"
 PROJECT_NUMBER         = 0.7
@@ -9,24 +10,33 @@
 CREATE_SUBDIRS         = NO
 OUTPUT_LANGUAGE        = English
-USE_WINDOWS_ENCODING   = NO
 BRIEF_MEMBER_DESC      = YES
 REPEAT_BRIEF           = YES
-ABBREVIATE_BRIEF       = 
+ABBREVIATE_BRIEF       =
 ALWAYS_DETAILED_SEC    = NO
 INLINE_INHERITED_MEMB  = NO
 FULL_PATH_NAMES        = NO
-STRIP_FROM_PATH        = 
-STRIP_FROM_INC_PATH    = 
+STRIP_FROM_PATH        =
+STRIP_FROM_INC_PATH    =
 SHORT_NAMES            = NO
 JAVADOC_AUTOBRIEF      = NO
+QT_AUTOBRIEF           = NO
 MULTILINE_CPP_IS_BRIEF = NO
-DETAILS_AT_TOP         = NO
 INHERIT_DOCS           = YES
-DISTRIBUTE_GROUP_DOC   = NO
+SEPARATE_MEMBER_PAGES  = NO
 TAB_SIZE               = 8
-ALIASES                = 
+ALIASES                =
 OPTIMIZE_OUTPUT_FOR_C  = NO
 OPTIMIZE_OUTPUT_JAVA   = NO
+OPTIMIZE_FOR_FORTRAN   = NO
+OPTIMIZE_OUTPUT_VHDL   = NO
+EXTENSION_MAPPING      =
+BUILTIN_STL_SUPPORT    = NO
+CPP_CLI_SUPPORT        = NO
+SIP_SUPPORT            = NO
+IDL_PROPERTY_SUPPORT   = YES
+DISTRIBUTE_GROUP_DOC   = NO
 SUBGROUPING            = YES
+TYPEDEF_HIDES_STRUCT   = NO
+SYMBOL_CACHE_SIZE      = 0
 #---------------------------------------------------------------------------
 # Build related configuration options
@@ -37,4 +47,5 @@
 EXTRACT_LOCAL_CLASSES  = YES
 EXTRACT_LOCAL_METHODS  = NO
+EXTRACT_ANON_NSPACES   = NO
 HIDE_UNDOC_MEMBERS     = YES
 HIDE_UNDOC_CLASSES     = YES
@@ -45,7 +56,10 @@
 HIDE_SCOPE_NAMES       = NO
 SHOW_INCLUDE_FILES     = YES
+FORCE_LOCAL_INCLUDES   = NO
 INLINE_INFO            = YES
 SORT_MEMBER_DOCS       = YES
 SORT_BRIEF_DOCS        = NO
+SORT_MEMBERS_CTORS_1ST = NO
+SORT_GROUP_NAMES       = NO
 SORT_BY_SCOPE_NAME     = NO
 GENERATE_TODOLIST      = YES
@@ -53,9 +67,12 @@
 GENERATE_BUGLIST       = YES
 GENERATE_DEPRECATEDLIST= YES
-ENABLED_SECTIONS       = 
+ENABLED_SECTIONS       =
 MAX_INITIALIZER_LINES  = 30
 SHOW_USED_FILES        = YES
 SHOW_DIRECTORIES       = YES
-FILE_VERSION_FILTER    = 
+SHOW_FILES             = YES
+SHOW_NAMESPACES        = YES
+FILE_VERSION_FILTER    =
+LAYOUT_FILE            =
 #---------------------------------------------------------------------------
 # configuration options related to warning and progress messages
@@ -67,9 +84,10 @@
 WARN_NO_PARAMDOC       = NO
 WARN_FORMAT            = "$file:$line: $text"
-WARN_LOGFILE           = 
+WARN_LOGFILE           =
 #---------------------------------------------------------------------------
 # configuration options related to the input files
 #---------------------------------------------------------------------------
-INPUT                  = /home/jasem/Projects/trunk/libindi
+INPUT                  = /home/jasem/Projects/indi/trunk/libindi
+INPUT_ENCODING         = UTF-8
 FILE_PATTERNS          = *.c \
                          *.cc \
@@ -103,19 +121,20 @@
                          *.dox
 RECURSIVE              = YES
-EXCLUDE                = /home/jasem/Projects/trunk/libindi/drivers \
-                         /home/jasem/Projects/trunk/libindi/tools \
-                         /home/jasem/Projects/trunk/libindi/libs/webcam \
-                         /home/jasem/Projects/trunk/libindi/libs/base64.c \
-                         /home/jasem/Projects/trunk/libindi/libs/fq.c \
-                         /home/jasem/Projects/trunk/libindi/indidrivermain.c \
-                         /home/jasem/Projects/trunk/libindi/indiserver.c
+EXCLUDE                = /home/jasem/Projects/indi/trunk/libindi/drivers \
+                         /home/jasem/Projects/indi/trunk/libindi/tools \
+                         /home/jasem/Projects/indi/trunk/libindi/libs/webcam \
+                         /home/jasem/Projects/indi/trunk/libindi/libs/base64.c \
+                         /home/jasem/Projects/indi/trunk/libindi/libs/fq.c \
+                         /home/jasem/Projects/indi/trunk/libindi/indidrivermain.c \
+                         /home/jasem/Projects/indi/trunk/libindi/indiserver.c
 EXCLUDE_SYMLINKS       = NO
-EXCLUDE_PATTERNS       = 
-EXAMPLE_PATH           = 
+EXCLUDE_PATTERNS       =
+EXCLUDE_SYMBOLS        =
+EXAMPLE_PATH           =
 EXAMPLE_PATTERNS       = *
 EXAMPLE_RECURSIVE      = NO
-IMAGE_PATH             = 
-INPUT_FILTER           = 
-FILTER_PATTERNS        = 
+IMAGE_PATH             =
+INPUT_FILTER           =
+FILTER_PATTERNS        =
 FILTER_SOURCE_FILES    = NO
 #---------------------------------------------------------------------------
@@ -127,4 +146,6 @@
 REFERENCED_BY_RELATION = NO
 REFERENCES_RELATION    = NO
+REFERENCES_LINK_SOURCE = YES
+USE_HTAGS              = NO
 VERBATIM_HEADERS       = NO
 #---------------------------------------------------------------------------
@@ -133,5 +154,5 @@
 ALPHABETICAL_INDEX     = YES
 COLS_IN_ALPHA_INDEX    = 5
-IGNORE_PREFIX          = 
+IGNORE_PREFIX          =
 #---------------------------------------------------------------------------
 # configuration options related to the HTML output
@@ -140,18 +161,45 @@
 HTML_OUTPUT            = doc
 HTML_FILE_EXTENSION    = .html
-HTML_HEADER            = 
-HTML_FOOTER            = 
-HTML_STYLESHEET        = 
+HTML_HEADER            =
+HTML_FOOTER            =
+HTML_STYLESHEET        =
+HTML_COLORSTYLE_HUE    = 220
+HTML_COLORSTYLE_SAT    = 100
+HTML_COLORSTYLE_GAMMA  = 80
+HTML_TIMESTAMP         = YES
 HTML_ALIGN_MEMBERS     = YES
+HTML_DYNAMIC_SECTIONS  = NO
+GENERATE_DOCSET        = NO
+DOCSET_FEEDNAME        = "Doxygen generated docs"
+DOCSET_BUNDLE_ID       = org.doxygen.Project
+DOCSET_PUBLISHER_ID    = org.doxygen.Publisher
+DOCSET_PUBLISHER_NAME  = Publisher
 GENERATE_HTMLHELP      = NO
-CHM_FILE               = 
-HHC_LOCATION           = 
+CHM_FILE               =
+HHC_LOCATION           =
 GENERATE_CHI           = NO
+CHM_INDEX_ENCODING     =
 BINARY_TOC             = NO
 TOC_EXPAND             = NO
+GENERATE_QHP           = NO
+QCH_FILE               =
+QHP_NAMESPACE          = org.doxygen.Project
+QHP_VIRTUAL_FOLDER     = doc
+QHP_CUST_FILTER_NAME   =
+QHP_CUST_FILTER_ATTRS  =
+QHP_SECT_FILTER_ATTRS  =
+QHG_LOCATION           =
+GENERATE_ECLIPSEHELP   = NO
+ECLIPSE_DOC_ID         = org.doxygen.Project
 DISABLE_INDEX          = NO
 ENUM_VALUES_PER_LINE   = 4
 GENERATE_TREEVIEW      = NO
+USE_INLINE_TREES       = NO
 TREEVIEW_WIDTH         = 250
+EXT_LINKS_IN_WINDOW    = NO
+FORMULA_FONTSIZE       = 10
+FORMULA_TRANSPARENT    = YES
+SEARCHENGINE           = NO
+SERVER_BASED_SEARCH    = NO
 #---------------------------------------------------------------------------
 # configuration options related to the LaTeX output
@@ -163,10 +211,11 @@
 COMPACT_LATEX          = NO
 PAPER_TYPE             = a4wide
-EXTRA_PACKAGES         = 
-LATEX_HEADER           = 
+EXTRA_PACKAGES         =
+LATEX_HEADER           =
 PDF_HYPERLINKS         = NO
 USE_PDFLATEX           = NO
 LATEX_BATCHMODE        = NO
 LATEX_HIDE_INDICES     = NO
+LATEX_SOURCE_CODE      = NO
 #---------------------------------------------------------------------------
 # configuration options related to the RTF output
@@ -176,6 +225,6 @@
 COMPACT_RTF            = NO
 RTF_HYPERLINKS         = NO
-RTF_STYLESHEET_FILE    = 
-RTF_EXTENSIONS_FILE    = 
+RTF_STYLESHEET_FILE    =
+RTF_EXTENSIONS_FILE    =
 #---------------------------------------------------------------------------
 # configuration options related to the man page output
@@ -190,6 +239,6 @@
 GENERATE_XML           = NO
 XML_OUTPUT             = xml
-XML_SCHEMA             = 
-XML_DTD                = 
+XML_SCHEMA             =
+XML_DTD                =
 XML_PROGRAMLISTING     = YES
 #---------------------------------------------------------------------------
@@ -203,7 +252,7 @@
 PERLMOD_LATEX          = NO
 PERLMOD_PRETTY         = YES
-PERLMOD_MAKEVAR_PREFIX = 
-#---------------------------------------------------------------------------
-# Configuration options related to the preprocessor   
+PERLMOD_MAKEVAR_PREFIX =
+#---------------------------------------------------------------------------
+# Configuration options related to the preprocessor
 #---------------------------------------------------------------------------
 ENABLE_PREPROCESSING   = YES
@@ -211,23 +260,28 @@
 EXPAND_ONLY_PREDEF     = NO
 SEARCH_INCLUDES        = YES
-INCLUDE_PATH           = 
-INCLUDE_FILE_PATTERNS  = 
-PREDEFINED             = 
-EXPAND_AS_DEFINED      = 
+INCLUDE_PATH           =
+INCLUDE_FILE_PATTERNS  =
+PREDEFINED             =
+EXPAND_AS_DEFINED      =
 SKIP_FUNCTION_MACROS   = YES
 #---------------------------------------------------------------------------
-# Configuration::additions related to external references   
-#---------------------------------------------------------------------------
-TAGFILES               = 
-GENERATE_TAGFILE       = 
+# Configuration::additions related to external references
+#---------------------------------------------------------------------------
+TAGFILES               =
+GENERATE_TAGFILE       =
 ALLEXTERNALS           = NO
 EXTERNAL_GROUPS        = YES
 PERL_PATH              = /usr/bin/perl
 #---------------------------------------------------------------------------
-# Configuration options related to the dot tool   
+# Configuration options related to the dot tool
 #---------------------------------------------------------------------------
 CLASS_DIAGRAMS         = YES
+MSCGEN_PATH            =
 HIDE_UNDOC_RELATIONS   = YES
 HAVE_DOT               = NO
+DOT_NUM_THREADS        = 0
+DOT_FONTNAME           = FreeSans.ttf
+DOT_FONTSIZE           = 10
+DOT_FONTPATH           =
 CLASS_GRAPH            = YES
 COLLABORATION_GRAPH    = YES
@@ -238,11 +292,11 @@
 INCLUDED_BY_GRAPH      = YES
 CALL_GRAPH             = NO
+CALLER_GRAPH           = NO
 GRAPHICAL_HIERARCHY    = YES
 DIRECTORY_GRAPH        = YES
 DOT_IMAGE_FORMAT       = png
-DOT_PATH               = 
-DOTFILE_DIRS           = 
-MAX_DOT_GRAPH_WIDTH    = 1024
-MAX_DOT_GRAPH_HEIGHT   = 1024
+DOT_PATH               =
+DOTFILE_DIRS           =
+DOT_GRAPH_MAX_NODES    = 50
 MAX_DOT_GRAPH_DEPTH    = 1000
 DOT_TRANSPARENT        = NO
@@ -250,6 +304,2 @@
 GENERATE_LEGEND        = YES
 DOT_CLEANUP            = YES
-#---------------------------------------------------------------------------
-# Configuration::additions related to the search engine   
-#---------------------------------------------------------------------------
-SEARCHENGINE           = NO
Index: /BAORadio/libindi/libindi/INSTALL
===================================================================
--- /BAORadio/libindi/libindi/INSTALL	(revision 500)
+++ /BAORadio/libindi/libindi/INSTALL	(revision 501)
@@ -1,3 +1,3 @@
-INDI Library Setup 0.6.1
+INDI Library Setup 0.7.0
 ========================
 
Index: /BAORadio/libindi/libindi/NEWS
===================================================================
--- /BAORadio/libindi/libindi/NEWS	(revision 500)
+++ /BAORadio/libindi/libindi/NEWS	(revision 501)
@@ -3,4 +3,4 @@
 -------------------------------------------------------------------------
 
-For the latest news on INDI, refer to INDI's website @ http://indi.sf.net
+For the latest news on INDI, refer to INDI's website @ http://www.indilib.org
 
Index: /BAORadio/libindi/libindi/README
===================================================================
--- /BAORadio/libindi/libindi/README	(revision 500)
+++ /BAORadio/libindi/libindi/README	(revision 501)
@@ -1,2 +1,5 @@
+libindi v0.6.2
+==============
+
 The code here demonstrates the use of INDI, an Instrument-Neutral Device
 Interface protocol. See http://www.clearskyinstitute.com/INDI/INDI.pdf.
Index: /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake
===================================================================
--- /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 500)
+++ /BAORadio/libindi/libindi/cmake_modules/FindINDI.cmake	(revision 501)
@@ -5,6 +5,8 @@
 #  INDI_INCLUDE_DIR - the INDI include directory
 #  INDI_LIBRARIES - Link these to use INDI
+#  INDI_DEVICE_LIBRARY - The indi default device library
+#  INDI_DATA_DIR - INDI shared data dir.
 
-# Copyright (c) 2006, Jasem Mutlaq <mutlaqja@ikarustech.com>
+# Copyright (c) 2010, Jasem Mutlaq <mutlaqja@ikarustech.com>
 # Based on FindLibfacile by Carsten Niehaus, <cniehaus@gmx.de>
 #
@@ -27,4 +29,12 @@
   )
 
+ find_path(INDI_DATA_DIR drivers.xml
+    PATH_SUFFIXES indi
+    /usr
+    /usr/local
+    /opt
+    ${GNUWIN32_DIR}/share
+  )
+
   find_library(INDI_DRIVER_LIBRARIES NAMES indidriver
     PATHS
@@ -32,4 +42,11 @@
     ${GNUWIN32_DIR}/lib
   )
+
+  find_library(INDI_DEVICE_LIBRARIES NAMES indidefaultdevice
+    PATHS
+    ${_obLinkDir}
+    ${GNUWIN32_DIR}/lib
+  )
+
 
   find_library(INDI_LIBRARIES NAMES indi
@@ -52,9 +69,9 @@
   else (INDI_FOUND)
     if (INDI_FIND_REQUIRED)
-      message(FATAL_ERROR "indi-devel not found. Cannot compile INDI drivers. Please install indi-devel and try again. http://indi.sf.net")
+      message(FATAL_ERROR "indi-devel not found. Cannot compile INDI drivers. Please install indi-devel and try again. http://www.indilib.org")
     endif (INDI_FIND_REQUIRED)
   endif (INDI_FOUND)
 
-  mark_as_advanced(INDI_INCLUDE_DIR INDI_LIBRARIES INDI_DRIVER_LIBRARIES)
+  mark_as_advanced(INDI_INCLUDE_DIR INDI_LIBRARIES INDI_DRIVER_LIBRARIES INDI_DEVICE_LIBRARIES INDI_DATA_DIR)
 
 endif (INDI_INCLUDE_DIR AND INDI_LIBRARIES AND INDI_DRIVER_LIBRARIES)
Index: /BAORadio/libindi/libindi/drivers/filter_wheel/trutech_wheel.c
===================================================================
--- /BAORadio/libindi/libindi/drivers/filter_wheel/trutech_wheel.c	(revision 500)
+++ /BAORadio/libindi/libindi/drivers/filter_wheel/trutech_wheel.c	(revision 501)
@@ -70,4 +70,7 @@
 #define FIRST_FILTER			1
 
+#define DEBUG_ON                        0
+#define SIMULATION_ON                   0
+
 
 /*INDI controls */
@@ -166,5 +169,5 @@
 		unsigned char chksum = COMM_INIT + type + COMM_FILL;
 		/*char filter_command[5] = { COMM_PRE, COMM_INIT, type, COMM_FILL, chksum };*/
-		char filter_command[CMD_SIZE];
+                unsigned char filter_command[CMD_SIZE];
 		snprintf(filter_command, CMD_SIZE,  "%c%c%c%c%c", COMM_PRE, COMM_INIT, type, COMM_FILL, chksum);
 
@@ -172,6 +175,14 @@
 			return;
 
-		err = tty_write(fd, filter_command, CMD_SIZE, &nbytes);
-		
+                if (!SIMULATION_ON)
+                    err = tty_write(fd, filter_command, CMD_SIZE, &nbytes);
+
+
+                if (DEBUG_ON)
+                {
+                    IDLog("Home Search Command (int): #%d#%d#%d#%d#%d#\n",COMM_PRE, COMM_INIT, type, COMM_FILL, chksum);
+                    IDLog("Home Search Command (char): #%c#%c#%c#%c#%c#\n",COMM_PRE, COMM_INIT, type, COMM_FILL, chksum);
+                }
+
 		/* Send Home Command */
 		if (err != TTY_OK)
@@ -247,10 +258,9 @@
 			targetFilter = values[0];
 			int nbytes=0;
-			char type = 0x01;
-			char chksum = COMM_INIT + type + (char) targetFilter;
+                        unsigned char type = 0x01;
+                        unsigned char chksum = COMM_INIT + type + (unsigned char) targetFilter;
 			/*char filter_command[5] = { COMM_PRE, COMM_INIT, type, targetFilter, chksum };*/
-			char filter_command[CMD_SIZE];
-
-			snprintf(filter_command, CMD_SIZE,  "%c%c%c%c%c", COMM_PRE, COMM_INIT, type, COMM_FILL, chksum);
+                        unsigned char filter_command[CMD_SIZE];
+
 
 			if (targetFilter < FilterPositionN[0].min || targetFilter > FilterPositionN[0].max)
@@ -262,5 +272,16 @@
 
 			IUUpdateNumber(&FilterPositionNP, values, names, n);
-			err = tty_write(fd, filter_command, CMD_SIZE, &nbytes);
+
+                        snprintf(filter_command, CMD_SIZE,  "%c%c%c%c%c", COMM_PRE, COMM_INIT, type, targetFilter, chksum);
+
+                        if (DEBUG_ON)
+                        {
+                            IDLog("Filter Position Command (int): #%d#%d#%d#%d#%d#\n",COMM_PRE, COMM_INIT, type, targetFilter, chksum);
+                            IDLog("Filter Position Command (char): #%c#%c#%c#%c#%c#\n",COMM_PRE, COMM_INIT, type, targetFilter, chksum);
+                        }
+
+                        if (!SIMULATION_ON)
+                            err = tty_write(fd, filter_command, CMD_SIZE, &nbytes);
+
 
 			FilterPositionNP.s = IPS_OK;
@@ -385,4 +406,11 @@
 	{
 		case ISS_ON:
+                        if (SIMULATION_ON)
+                        {
+                            PowerSP.s = IPS_OK;
+                            IDSetSwitch(&PowerSP, "Simulated Filter Wheel is online.");
+                            return;
+                        }
+
 			if ( (err = tty_connect(PortT[0].text, 9600, 8, 0, 1, &fd)) != TTY_OK)
 			{
@@ -394,4 +422,5 @@
 			}
 
+
 			PowerSP.s = IPS_OK;
 			IDSetSwitch(&PowerSP, "Filter Wheel is online. True Technology filter wheel suffers from several bugs. Please refer to http://indi.sf.net/profiles/trutech.html for more details.");
@@ -399,4 +428,11 @@
 		
 		case ISS_OFF:
+                        if (SIMULATION_ON)
+                        {
+                          PowerSP.s = IPS_OK;
+                          IDSetSwitch(&PowerSP, "Simulated Filter Wheel is offline.");
+                          return;
+                        }
+
 			if ( (err = tty_disconnect(fd)) != TTY_OK)
 			{
